QueryPagers (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.service.pager

## Class QueryPagers

- java.lang.Object
- - org.apache.cassandra.service.pager.QueryPagers

-     public class QueryPagers
      extends java.lang.Object

  Static utility methods for paging.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `countPaged(CFMetaData metadata, DecoratedKey key, ColumnFilter columnFilter, ClusteringIndexFilter filter, DataLimits limits, ConsistencyLevel consistencyLevel, ClientState state, int pageSize, int nowInSec, boolean isForThrift, long queryStartNanoTime)` Convenience method that count (live) cells/rows for a given slice of a row, but page underneath.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### countPaged

          public static int countPaged(CFMetaData metadata,
                                       DecoratedKey key,
                                       ColumnFilter columnFilter,
                                       ClusteringIndexFilter filter,
                                       DataLimits limits,
                                       ConsistencyLevel consistencyLevel,
                                       ClientState state,
                                       int pageSize,
                                       int nowInSec,
                                       boolean isForThrift,
                                       long queryStartNanoTime)
                                throws RequestValidationException,
                                       RequestExecutionException

      Convenience method that count (live) cells/rows for a given slice of a row, but page underneath.
      Throws:
        `RequestValidationException`
        `RequestExecutionException`

Copyright © 2018 The Apache Software Foundation